# Expected modules:
# 1) zlib/1.2.11-intel-19.0.5-p7mu
# 2) hdf5/1.10.6-intel-19.0.5-m6j7
# 3) hwloc/2.1.0-intel-19.0.5-4ncw
# 4) intel/19.0.5-gcc-9.2.0-kl4p
# 5) intel-mpi/2019.0.117-intel-19.0.5-cydt
# 6) intel-mkl/2019.5.281-intel-19.0.5-t7a3
# 7) gsl/2.7_intel19.0.5
# 8) git/2.25.0-gcc-9.2.0-v4mv
VERSION = sawtooth-intel19-2022-08-15

CPP = cpp
FPP = cpp
CC  = mpiicc
CXX = mpiicpc
F77 = mpiifort
F90 = mpiifort

CPPFLAGS = -O2 -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED
FPPFLAGS = -O2 -traditional
CFLAGS   = -O2 -traceback -debug all -xCORE-AVX512 -align -std=gnu99
CXXFLAGS = -O2 -traceback -debug all -xCORE-AVX512 -align -std=gnu++11
F77FLAGS = -O2 -traceback -debug all -xCORE-AVX512 -align -pad -safe-cray-ptr
F90FLAGS = -O2 -traceback -debug all -xCORE-AVX512 -align -pad -safe-cray-ptr

LDFLAGS = -rdynamic -xCORE-AVX512

C_LINE_DIRECTIVES = yes
F_LINE_DIRECTIVES = yes

VECTORISE                = yes
VECTORISE_ALIGNED_ARRAYS = no
VECTORISE_INLINE         = no

DEBUG           = no
CPP_DEBUG_FLAGS = -DCARPET_DEBUG
FPP_DEBUG_FLAGS = -DCARPET_DEBUG
C_DEBUG_FLAGS   = -O0
CXX_DEBUG_FLAGS = -O0
F77_DEBUG_FLAGS = -O0 -check bounds -check format
F90_DEBUG_FLAGS = -O0 -check bounds -check format

OPTIMISE           = yes
CPP_OPTIMISE_FLAGS =
FPP_OPTIMISE_FLAGS =
C_OPTIMISE_FLAGS   = -O2
CXX_OPTIMISE_FLAGS = -O2
F77_OPTIMISE_FLAGS = -O2
F90_OPTIMISE_FLAGS = -O2

CPP_NO_OPTIMISE_FLAGS  =
FPP_NO_OPTIMISE_FLAGS  =
C_NO_OPTIMISE_FLAGS    = -O0
CXX_NO_OPTIMISE_FLAGS  = -O0
CUCC_NO_OPTIMISE_FLAGS =
F77_NO_OPTIMISE_FLAGS  = -O0
F90_NO_OPTIMISE_FLAGS  = -O0

PROFILE           = no
CPP_PROFILE_FLAGS =
FPP_PROFILE_FLAGS =
C_PROFILE_FLAGS   = -pg
CXX_PROFILE_FLAGS = -pg
F77_PROFILE_FLAGS = -pg
F90_PROFILE_FLAGS = -pg

OPENMP           = yes
CPP_OPENMP_FLAGS = -fopenmp
FPP_OPENMP_FLAGS = -fopenmp
C_OPENMP_FLAGS   = -qopenmp
CXX_OPENMP_FLAGS = -qopenmp
F77_OPENMP_FLAGS = -qopenmp
F90_OPENMP_FLAGS = -qopenmp

WARN           = yes
CPP_WARN_FLAGS =
FPP_WARN_FLAGS =
C_WARN_FLAGS   =
CXX_WARN_FLAGS =
F77_WARN_FLAGS =
F90_WARN_FLAGS =

BLAS_DIR  = NO_BUILD
BLAS_LIBS = -mkl

HWLOC_DIR        = /apps/local/spack/software/intel-19.0.5/hwloc-2.1.0-4ncwlovwfz53rzx4dshlenwhiw3fag23
HWLOC_LIB_DIRS   = /apps/local/spack/software/intel-19.0.5/hwloc-2.1.0-4ncwlovwfz53rzx4dshlenwhiw3fag23/lib
HWLOC_INC_DIRS   = /apps/local/spack/software/intel-19.0.5/hwloc-2.1.0-4ncwlovwfz53rzx4dshlenwhiw3fag23/include
HWLOC_EXTRA_LIBS = numa

LAPACK_DIR  = NO_BUILD
LAPACK_LIBS = -mkl

OPENBLAS_DIR  = NO_BUILD
OPENBLAS_LIBS = -mkl

HDF5_LIBS     = hdf5
HDF5_DIR      = /apps/local/spack/software/intel-19.0.5/hdf5-1.10.6-m6j7ocr4jmhvtrrf43jnxyjwfuaxziph
HDF5_INC_DIRS = /apps/local/spack/software/intel-19.0.5/hdf5-1.10.6-m6j7ocr4jmhvtrrf43jnxyjwfuaxziph/include
HDF5_LIB_DIRS = /apps/local/spack/software/intel-19.0.5/hdf5-1.10.6-m6j7ocr4jmhvtrrf43jnxyjwfuaxziph/lib

GSL_DIR      = /apps/local/gsl/2.7
GSL_INC_DIRS = /apps/local/gsl/2.7/include
GSL_LIB_DIRS = /apps/local/gsl/2.7/lib

FFTW3_DIR      = NO_BUILD
FFTW3_INC_DIRS = /apps/local/spack/software/gcc-9.2.0/intel-19.0.5-kl4pad7bcohde3i6l2foj6d22kwcexgd/compilers_and_libraries/linux/mkl/include/fftw
FFTW3_LIBS     = -mkl

PTHREADS_DIR = NO_BUILD

# Add path to LORENE if using tabulated EOS
# LORENE_DIR =